/*
** Module   : WebResponseTestable.java
** Abstract : A test for a web service HTTP response.
**
** Copyright (c) 2021, Golden Code Development Corporation.
**
** -#- -I- --Date-- ---------------------------------------Description----------------------------------------
** 001 CA  20210827 Created initial version.
*/

/*
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU Affero General Public License as
** published by the Free Software Foundation, either version 3 of the
** License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU Affero General Public License for more details.
**
** You should have received a copy of the GNU Affero General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package com.goldencode.harness.test;

import org.apache.http.*;

/**
 * API for delegating the execution of a testable activity for a response returned by a Web Service call.
 */
public interface WebResponseTestable
{
   /**
    * Verify the returned response to match the condition specified in the implementation class.
    * 
    * @param    response
    *           The HTTP response.
    */
   public void execute(HttpResponse response);
}
